{%extends 'base_admin.html'%}
{%block title%}Admin | Edit Ads Right{%endblock title%}

{%block content%}
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
        
        <!---Admin_header -->
        {%include 'admin_header.html'%}
        <!-- Admin_header-->

        <div class="wrapper row-offcanvas row-offcanvas-left">
            

            <!-- admin left side menu -->

            {%include 'admin_leftside_menu.html'%}

             <!-- admin left side menu -->

            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="{%url 'admin_panel'%}"><i class="fa fa-dashboard"></i>Home</a></li>
                        <li class="active">Edit Ads Right</li>
                    </ol>
                </section>

                <!-- Main content -->

                 <section class="content">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Edit Ads Right</h3>
                                </div><!-- /.box-header -->


                                <!-- form start -->
                             
                                    <div class="box-body">

                                          <div class="form-group ">


                                        {%if site_error%}
                                           
                                            <div class="alert alert-danger alert-dismissable">
                                                <i class="fa fa-ban"></i>
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                                <b>This field can not be empty!</b> Please Fill Up With Appropriate Description.
                                             </div>

                                            {%elif count_error%}
                                           
                                            <div class="alert alert-danger alert-dismissable">
                                                <i class="fa fa-ban"></i>
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                                <b>Limit Reached !</b> You are not allowed to add more than 1 item.
                                             </div>



                                            {%elif length_error%}
                                             <div class="alert alert-danger alert-dismissable">
                                                <i class="fa fa-ban"></i>
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                                <b>This field can not be empty!</b> Please Fill Up With Appropriate Description.
                                             </div>
                                            
                                            {%elif  add_success%}
                                            <div class="alert alert-success alert-dismissable">
                                            <i class="fa fa-check"></i>
                                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                                            Ads Successfully Updated To Right Block.
                                            </div>
                                            {%endif%}



                                            <form role="form" action="" id="addcatform" method="post" >{%csrf_token%}   
                                            <label>Block 1</label> 
                                            <br/>                 
                                            <textarea id="" name="editor" rows="10"  cols="160">{{get_ads.ads1}}</textarea>
                                            <br/>
                                            <label>Block 2</label>
                                            <br/>
                                            <textarea id="" name="editor2" rows="10"  cols="160">{{get_ads.ads2}}</textarea>
                                            <br/>
                                            <label>Block 3</label>
                                            <br/>
                                            <textarea id="" name="editor3" rows="10"  cols="160">{{get_ads.ads3}}</textarea>
                                            <br/>
                                            <label>Block 4</label>
                                            <br/>
                                            <textarea id="" name="editor4" rows="10"  cols="160">{{get_ads.ads4}}</textarea>
                                    
                                        </div>
                                                                        
                                    </div><!-- /.box-body -->

                                    <div class="box-footer">
                                        <button type="submit" id="" class="btn btn-primary">Save Ads</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->

                            <!-- Form Element sizes -->
                            
                            <!-- /.box -->

                            <!-- Input addon -->
                        
                        


                        </div><!--/.col (left) -->
                        <!-- right column -->
                        <div class="col-md-12">
                            <!-- general form elements disabled -->
                            
                            <div class="box">
                                <div class="box-header">
                                    <h3 class="box-title">Job Types</h3>
                                </div><!-- /.box-header -->

                                {%if del_error%}
                                <div class="form-group has-error">
                                <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Failed To Delete Category</label>
                                </div>
                                {%endif%}




                                 <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Site Term</th>
                                                <th>Date Created</th>
                                                <th>Date Updated</th>
                                                <th>Edit</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        {%if categories%}
                                        {%for category in categories%}
                                            <tr>
                                                <td>{{category.id}}</td>
                                                <td><strong>Ads Left</strong></td>
                                                <td>{{category.created}}</td>
                                                <td>{{category.edited}}</td>
                                                <td><a href="{% url 'edit_ads_right' category.id %}"><i class="fa fa-edit"></i></a></td>
                                                <td><a href="{% url 'del_ads_right' category.id %}" onClick="return confirmPost();"><i class="fa fa-trash"></i></a></td>
                                            </tr>
                                        {%endfor%}
                                           
                                        </tbody>
                                
                                    </table>
                                </div>

                               <!-- /.box-body -->
                                
                            </div>
                            {%endif%}


                            <!-- /.box -->
                        </div><!--/.col (right) -->

               

                    </div>   <!-- /.row -->
                </section>
                <!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->

        <!-- add new calendar event modal -->


       <!-- footer -->
       
       <!-- footer -->



       <!--all table related js -->
        {%include 'admin_data_table.html'%}
        <!--all table related js -->


</body>
</html>


{%endblock content%}